Subject: Re: Driver for embedded switch Micrel KS8995MA

From: Florian Fainelli <[email-masked]>
Date: Tue, 13 Dec 2011 19:37:44 +0100

Hello,

On 12/13/11 19:33, Frederic LAMBERT wrote:
> I found an quite old driver on the net for the 5-ports 10/100 embedded
> switch Micrel KS8995MA.
> It had to be updated a little bit because a parameter was missing to
> the ks8995_registers_read()&  write() functions.
>
> I haven't been able to contact its original author, Gabor Juhos, who
> wrote it in 2008 under GPL v2.

Gabor is responding pretty quickly in general. You are talking about 
this particular driver?

https://dev.openwrt.org/browser/trunk/package/spi-ks8995/src/spi_ks8995.c

>
> Is it possible to submit this driver as a patch to be included in the
> distribution?
> If yes, what would be the best place? driver/net/phy? driver/net/ethernet?

drivers/net/phy is the most appropriate place since it's a switch driver 
but you certainly want to get in touch with Gabor to deal with this 
driver inclusion first.
--
Florian